/* FichothequeLib_API - Copyright (c) 2024 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.thesaurus.sync;

import java.util.List;
import net.mapeadores.util.attr.AttributeChange;
import net.mapeadores.util.text.LabelChange;


/**
 *
 * @author Vincent Calame
 */
public interface MotcleSync {

    public String getIdalpha();

    public String getStatus();

    public List<MotcleSync> getChildList();

    public LabelChange getLabelChange();

    public AttributeChange getAttributeChange();

}
